Skip to main content

Transaction

Get Card Transactions

This API allows you to retrieve the list of transaction for a card.

{{baseUrl}}/hashdt/issuing/api/v1/card/transaction

Description

This endpoint returns a paginated list of transactions for a specific card, including detailed merchant information, transaction amounts, and status.

📩 Request Headers

x-api-key string required

Shared X-API key

x-product-id string required

Shared Product ID

x-request-id string required

Idempotency key for request tracking

x-user-id string required

User identification key

Content-Type string required

Must be application/json

Authorization string required

Bearer access token

🔍 Query Parameters

id string required

Unique identifier for card

page_num integer

Page number for pagination

page_size integer

Number of items per page

from_created_at string conditional

Start date to filter records created on or after this date. (ISO 8601 date format: YYYY-MM-DD). Must be provided together with to_created_at.

to_created_at string conditional

End date to filter records created on or before this date. (ISO 8601 date format: YYYY-MM-DD). Must be provided together with from_created_at.

Request Example

curl --location --request GET \
--url '{{baseUrl}}/hashdt/issuing/api/v1/card/transaction?id={{CardID}}' \
--header 'x-api-key: {{Shared X-API key}}' \
--header 'x-product-id: {{Shared ProductID}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'x-user-id: {{UserID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}'

Response Example

{
"code": 200,
"status": "success",
"message": "Card transaction fetched successfully.",
"data": {
"has_more": true,
"items": [
{
"acquiring_institution_identifier": "123456",
"auth_code": "000001",
"billing_amount": 100,
"billing_currency": "USD",
"card_id": "",
"card_nickname": "string",
"client_data": "Some client data",
"digital_wallet_token_id": "",
"failure_reason": "INSUFFICIENT_FUNDS",
"lifecycle_id": "",
"masked_card_number": "************4242",
"matched_authorizations": [
"6c2dc266-09ad-4235-b61a-767c7cd6d6ea"
],
"merchant": {
"category_code": "4829",
"city": "San Francisco",
"country": "USA",
"identifier": "012345678910123",
"name": "Merchant A",
"postcode": "94111",
"state": "CA"
},
"network_transaction_id": "3951729271768745",
"posted_date": "2018-03-22T16:08:02+00:00",
"retrieval_ref": "909916088001",
"risk_details": {
"risk_actions_performed": [
"TRANSACTION_BLOCKED"
],
"risk_factors": [
"Suspicious transaction velocity"
],
"three_dsecure_outcome": "AUTHENTICATED"
},
"status": "APPROVED",
"transaction_amount": 100,
"transaction_currency": "USD",
"transaction_date": "2018-03-21T16:08:02+00:00",
"transaction_id": "transactionid",
"transaction_type": "REFUND"
}
]
}
}